Browse Source

Clarify that a smartphone version of LINE is required

Only the smartphone version shows the verification code required for the
first login attempt...
master
Andrew Ferrazzutti 2 months ago
parent
commit
6e7de546cb
2 changed files with 4 additions and 2 deletions
  1. +3
    -1
      SETUP.md
  2. +1
    -1
      matrix_puppeteer_line/commands/auth.py

+ 3
- 1
SETUP.md View File

@ -27,6 +27,7 @@ These instructions describe how to install and run the bridge manually from a cl
* Node 14
* yarn 1.22.x (from either your distribution or `npm`)
* postgresql 11
* A LINE account on a smartphone (Android or iOS)
## Optional requirements
* `xvfb-run` for easily running the Puppeteer module in a background X server
@ -58,7 +59,8 @@ These instructions describe how to install and run the bridge manually from a cl
## Running manually
1. In the `puppet` directory, launch the Puppeteer module with `yarn start` or `node src/main.js`
1. In the project root directory, run the bridge module with `python -m matrix_puppeteer_line`
1. Start a chat with the bot and follow the instructions
1. Start a chat with the bot, and use one of the `login-email` or `login-qr` commands to sync your LINE account
* Note that on first use, you must enter a verification code on a smartphone version of LINE in order for the login to complete
### Running the Puppeteer module headless
Puppeteer cannot be run in headless mode when using Chrome/Chromium with extensions (including the LINE extension).


+ 1
- 1
matrix_puppeteer_line/commands/auth.py View File

@ -55,7 +55,7 @@ async def login_do(evt: CommandEvent, gen: AsyncGenerator[Tuple[str, str], None]
failure = False
async for item in gen:
if item[0] == "qr":
message = "Open LINE on your primary device and scan this QR code:"
message = "Open LINE on your smartphone and scan this QR code:"
content = TextMessageEventContent(body=message, msgtype=MessageType.NOTICE)
content.set_reply(evt.event_id)
await evt.az.intent.send_message(evt.room_id, content)


Loading…
Cancel
Save